> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Get request fields applicable (visible) to current user

GET https://{tenant}.atomicwork.com/api/v1/forms/requests

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/forms/getapi-v-1-forms-requests

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/forms/requests:
    get:
      operationId: getapi-v-1-forms-requests
      summary: Get request fields applicable (visible) to current user
      tags:
        - subpackage_forms
      parameters:
        - name: request_form_type
          in: query
          description: ''
          required: false
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsRequestsGetParametersRequestFormType
        - name: request_type
          in: query
          description: ''
          required: false
          schema:
            $ref: '#/components/schemas/ApiV1FormsRequestsGetParametersRequestType'
        - name: supported_objects
          in: query
          description: >-
            The supported object type. Takes precedence over request_type if
            both are provided.
          required: false
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsRequestsGetParametersSupportedObjects
        - name: workspace_id
          in: query
          description: The workspace id
          required: false
          schema:
            type: integer
            format: int64
        - name: request_id
          in: query
          description: The request display ID
          required: false
          schema:
            type: string
        - name: service_item_ids
          in: query
          description: The service item ids if service request is being created
          required: false
          schema:
            type: array
            items:
              type: integer
              format: int64
        - name: catalog_item_ids
          in: query
          description: >-
            The catalogue item fields if catalogue request is being created, we
            will depreciate(service_item_ids) this soon.
          required: false
          schema:
            type: array
            items:
              type: integer
              format: int64
        - name: channel_type
          in: query
          description: ''
          required: false
          schema:
            $ref: '#/components/schemas/ApiV1FormsRequestsGetParametersChannelType'
        - name: channel_id
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: view
          in: query
          description: ''
          required: false
          schema:
            $ref: '#/components/schemas/ApiV1FormsRequestsGetParametersView'
        - name: status_value
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Forms_getapi_v1_forms_requests_Response_200
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    ApiV1FormsRequestsGetParametersRequestFormType:
      type: string
      enum:
        - REQUEST
        - QUESTION_REQUEST
        - INCIDENT_REQUEST
        - SERVICE_REQUEST
        - PROBLEM_REQUEST
      title: ApiV1FormsRequestsGetParametersRequestFormType
    ApiV1FormsRequestsGetParametersRequestType:
      type: string
      enum:
        - REQUEST
        - INCIDENT
        - SERVICE_REQUEST
        - PROBLEM
        - CHANGE
        - MAJOR_INCIDENT
      title: ApiV1FormsRequestsGetParametersRequestType
    ApiV1FormsRequestsGetParametersSupportedObjects:
      type: string
      enum:
        - REQUEST
        - SERVICE_REQUEST
        - INCIDENT
        - PROBLEM
        - CHANGE
      title: ApiV1FormsRequestsGetParametersSupportedObjects
    ApiV1FormsRequestsGetParametersChannelType:
      type: string
      enum:
        - SLACK
        - MS_TEAMS
        - EMAIL
        - ATOMICINBOX
        - UNIVERSAL_AGENT
      title: ApiV1FormsRequestsGetParametersChannelType
    ApiV1FormsRequestsGetParametersView:
      type: string
      enum:
        - HOME
        - WORKFLOW
        - JOURNEY
        - LIST
        - INSIGHTS
        - CUSTOM_SLA
        - ASSET_LIST
        - RELATIONSHIP_ATTRIBUTE
        - SCHEDULE_WORKFLOW
        - SEARCH
        - NOTIFICATIONS
        - ASSET_RELATIONSHIPS
        - USER_SEGMENTS
        - MULTI_SOURCE_SYNC
        - MAJOR_INCIDENT_CREATE
      title: ApiV1FormsRequestsGetParametersView
    Forms_getapi_v1_forms_requests_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Forms_getapi_v1_forms_requests_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/forms/requests"

querystring = {"request_form_type":"SERVICE_REQUEST","request_type":"SERVICE_REQUEST","supported_objects":"SERVICE_REQUEST","channel_type":"SLACK","view":"HOME","workspace_id":"987654321","request_id":"REQ-20240612-00123","service_item_ids":"[101,202]","catalog_item_ids":"[303,404]","channel_id":"C1234567890","status_value":"OPEN"}

payload = {}
headers = {
    "X-Workspace-Id": "987654321",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN';
const options = {
  method: 'GET',
  headers: {
    'X-Workspace-Id': '987654321',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-Workspace-Id", "987654321")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Workspace-Id"] = '987654321'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN")
  .header("X-Workspace-Id", "987654321")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '987654321',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Workspace-Id", "987654321");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "987654321",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/forms/requests?request_form_type=SERVICE_REQUEST&request_type=SERVICE_REQUEST&supported_objects=SERVICE_REQUEST&channel_type=SLACK&view=HOME&workspace_id=987654321&request_id=REQ-20240612-00123&service_item_ids=%5B101%2C202%5D&catalog_item_ids=%5B303%2C404%5D&channel_id=C1234567890&status_value=OPEN")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```